<?xml version="1.0" encoding="shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Sample1"
	ProjectGUID="{0B19DCE1-EA5F-4DF4-80E4-E25CE96297F1}"
	RootNamespace="Sample1"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)_Dbg"
			IntermediateDirectory="$(ProjectDir)obj\$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="copy srec and syms"
				CommandLine="wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.srec cfg1_out.srec&#x0D;&#x0A;wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.syms cfg1_out.syms"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\asp;..\asp\include;..\asp\arch;..\asp\target\cq_starm_gcc;..\uITron4\cq_starm;..\uITron4;.\"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;SAMPLE1_EXPORTS;TASK_LOOP=400000"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="uITron4.lib"
				LinkIncremental="2"
				AdditionalLibraryDirectories="..\uITron4\bin\$(ConfigurationName)"
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)_Exe"
			IntermediateDirectory="$(ProjectDir)obj\$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="copy srec and syms"
				CommandLine="wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.srec cfg1_out.srec&#x0D;&#x0A;wscript ..\tools\update.js $(ProjectDir)..\$(TargetName)Cfg\$(ConfigurationName)\$(TargetName)Cfg.syms cfg1_out.syms"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\asp;..\asp\include;..\asp\arch;..\asp\target\cq_starm_gcc;..\uITron4\cq_starm;..\uITron4;.\"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;SAMPLE1_EXPORTS;TASK_LOOP=400000"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="uITron4.lib"
				LinkIncremental="1"
				AdditionalLibraryDirectories="..\uITron4\bin\$(ConfigurationName)"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="ソース ファイル"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\asp\syssvc\banner.c"
				>
			</File>
			<File
				RelativePath="..\asp\library\histogram.c"
				>
			</File>
			<File
				RelativePath=".\kernel_cfg.c"
				>
			</File>
			<File
				RelativePath="..\asp\library\log_output.c"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\logtask.c"
				>
			</File>
			<File
				RelativePath=".\main.c"
				>
			</File>
			<File
				RelativePath=".\Sample1.cpp"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\serial.c"
				>
			</File>
			<File
				RelativePath=".\stdafx.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\asp\library\strerror.c"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\syslog.c"
				>
			</File>
			<File
				RelativePath="..\asp\library\t_perror.c"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\vasyslog.c"
				>
			</File>
		</Filter>
		<Filter
			Name="ヘッダー ファイル"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\asp\syssvc\banner.h"
				>
			</File>
			<File
				RelativePath=".\kernel_cfg.h"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\logtask.h"
				>
			</File>
			<File
				RelativePath=".\main.h"
				>
			</File>
			<File
				RelativePath=".\resource.h"
				>
			</File>
			<File
				RelativePath=".\Sample1.h"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\serial.h"
				>
			</File>
			<File
				RelativePath=".\stdafx.h"
				>
			</File>
			<File
				RelativePath="..\asp\syssvc\syslog.h"
				>
			</File>
		</Filter>
		<Filter
			Name="リソース ファイル"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath=".\Sample1.rc"
				>
			</File>
		</Filter>
		<File
			RelativePath=".\kernel.res"
			>
			<FileConfiguration
				Name="Debug|Win32"
				ExcludedFromBuild="true"
				>
				<Tool
					Name="VCCustomBuildTool"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Release|Win32"
				ExcludedFromBuild="true"
				>
				<Tool
					Name="VCCustomBuildTool"
				/>
			</FileConfiguration>
		</File>
		<File
			RelativePath=".\main.cfg"
			>
			<FileConfiguration
				Name="Debug|Win32"
				>
				<Tool
					Name="VCCustomBuildTool"
					Description="toppers configuration pass 2"
					CommandLine="..\asp\cfg\cfg\cfg.exe --pass 2 --kernel asp --api-table ..\asp\kernel\kernel_api.csv --cfg1-def-table ..\asp\kernel\kernel_def.csv --cfg1-def-table ..\asp\arch\arm_m_msvc\common\core_def.csv --cfg1-def-table ..\asp\target\cq_starm_gcc\target_def.csv -I ..\asp -I ..\asp\arch -I ..\asp\arch\arm_m_msvc\common -I ..\asp\include -I ..\asp\kernel -I ..\asp\target\cq_starm_gcc --template-file ..\asp\target\cq_starm_gcc\target_msvc.tf &quot;$(InputPath)&quot;"
					AdditionalDependencies="cfg1_out.srec;cfg1_out.syms"
					Outputs="kernel_cfg.c;kernel_cfg.h"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Release|Win32"
				ExcludedFromBuild="true"
				>
				<Tool
					Name="VCCustomBuildTool"
					Description="toppers configuration pass 2"
					CommandLine="..\asp\cfg\cfg\cfg.exe --pass 2 --kernel asp --api-table ..\asp\kernel\kernel_api.csv --cfg1-def-table ..\asp\kernel\kernel_def.csv --cfg1-def-table ..\asp\arch\arm_m_msvc\common\core_def.csv --cfg1-def-table ..\asp\target\cq_starm_gcc\target_def.csv -I ..\asp -I ..\asp\arch -I ..\asp\arch\arm_m_msvc\common -I ..\asp\include -I ..\asp\kernel -I ..\asp\target\cq_starm_gcc --template-file ..\asp\target\cq_starm_gcc\target_msvc.tf &quot;$(InputPath)&quot;"
					AdditionalDependencies="cfg1_out.srec;cfg1_out.syms"
					Outputs="kernel_cfg.c;kernel_cfg.h"
				/>
			</FileConfiguration>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
